package com.gyee.wisdom.dao.taoscz;

public class TaosCovertUtil {

    /**
     * 根据传过来的点分析出场站名
     * @param point
     * @return
     */
    public static String coverStationPrefix(String point) {
        String station = null;

        if(point.toUpperCase().contains("SBQ"))
            station = "sbq";
        else if(point.toUpperCase().contains("MHS"))
            station = "mhs";
        else if(point.toUpperCase().contains("NSS"))
            station = "nss";
        else if(point.toUpperCase().contains("XS"))
            station = "xs";
        else if(point.toUpperCase().contains("QS"))
            station = "qs";
        else if(point.toUpperCase().contains("DWK"))
            station = "dwk";
        else if(point.toUpperCase().contains("PL"))
            station = "pl";
        else if(point.toUpperCase().contains("MCH"))
            station = "mch";
        else if(point.toUpperCase().contains("SH"))
            station = "sh";
        else if(point.toUpperCase().contains("XH"))
            station = "xh";
        else if(point.toUpperCase().contains("NXDQ"))
            station = "nxdq";
        else if(point.toUpperCase().contains("JSFW"))
            station = "jsfw";
        else if(point.toUpperCase().contains("HZJ"))
            station = "hzj";
        else
            station = "qs";

        return station;
    }
}
